module main

import os
import os.cmdline
import core

const lang_name = 'pytte'
const lang_vers = 'v0.0.1'
const lang_line = '$lang_name ($lang_vers)'
const debug     = os.getenv('PTE_DEBUG')


fn main() {
	mut rn := core.Runtime{}

	rn.args = cmdline.only_options(os.args[1..])
	file_args := cmdline.only_non_options(os.args[1..])

	if file_args.len != 1 {
		core.er('$lang_line needs a single target file to run/compile')
		exit(1)
	}

	rn.target_file = file_args[0]
	rn.file_name = file_args[0].all_after_last('/').all_before_last('.')

	rn.run()

}
